local GodsAreaNS = require("godsArea.GodsAreaNS")

function CG_GODSAREA_QUERY_RANKLIST(human)
    GodsAreaNS.Query_RankList(human)
end

function CG_GODSAREA_GET_PLAYER_INFO(human,msg)
    GodsAreaNS.Query_PlayerInfo(human, msg.rank, msg.uid)
end

function CG_GODSAREA_CHALLENGE(human,msg)
    GodsAreaNS.Query_Challenge(human, msg.rank, msg.defendUid)
end

function CG_GODSAREA_QUERY_COMBATVIDEO(human, msg)
    GodsAreaNS.Query_CombatVideo(human, msg.rank, msg.uid)
end

function CG_GODSAREA_GET_RANK_REWARD(human, msg)
    GodsAreaNS.Query_RankReward(human)
end